[arch-commits] Commit in nano/repos (6 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Wed Nov 2 12:18:21 EDT 2011


    Date: Wednesday, November 2, 2011 @ 12:18:21
  Author: andyrtr
Revision: 141730

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  nano/repos/testing-i686/
  nano/repos/testing-i686/PKGBUILD
    (from rev 141729, nano/trunk/PKGBUILD)
  nano/repos/testing-i686/nano.install
    (from rev 141729, nano/trunk/nano.install)
  nano/repos/testing-x86_64/
  nano/repos/testing-x86_64/PKGBUILD
    (from rev 141729, nano/trunk/PKGBUILD)
  nano/repos/testing-x86_64/nano.install
    (from rev 141729, nano/trunk/nano.install)

-----------------------------+
 testing-i686/PKGBUILD       |   34 ++++++++++++++++++++++++++++++++++
 testing-i686/nano.install   |   20 ++++++++++++++++++++
 testing-x86_64/PKGBUILD     |   34 ++++++++++++++++++++++++++++++++++
 testing-x86_64/nano.install |   20 ++++++++++++++++++++
 4 files changed, 108 insertions(+)

Copied: nano/repos/testing-i686/PKGBUILD (from rev 141729, nano/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2011-11-02 16:18:21 UTC (rev 141730)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Contributor: Judd <judd at archlinux.org>
+
+pkgname=nano
+pkgver=2.2.6
+pkgrel=2
+pkgdesc="Pico editor clone with enhancements"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://www.nano-editor.org"
+groups=('base')
+depends=('ncurses' 'sh')
+backup=('etc/nanorc')
+install=nano.install
+source=(http://www.nano-editor.org/dist/v2.2/${pkgname}-${pkgver}.tar.gz)
+md5sums=('03233ae480689a008eb98feb1b599807')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr \
+    --sysconfdir=/etc \
+    --enable-color \
+    --enable-nanorc \
+    --enable-multibuffer \
+    --disable-wrapping-as-root
+  make
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+  install -DTm644 ${srcdir}/${pkgname}-${pkgver}/doc/nanorc.sample ${pkgdir}/etc/nanorc
+}

Copied: nano/repos/testing-i686/nano.install (from rev 141729, nano/trunk/nano.install)
===================================================================
--- testing-i686/nano.install	                        (rev 0)
+++ testing-i686/nano.install	2011-11-02 16:18:21 UTC (rev 141730)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(nano.info.gz)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}

Copied: nano/repos/testing-x86_64/PKGBUILD (from rev 141729, nano/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2011-11-02 16:18:21 UTC (rev 141730)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Contributor: Judd <judd at archlinux.org>
+
+pkgname=nano
+pkgver=2.2.6
+pkgrel=2
+pkgdesc="Pico editor clone with enhancements"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://www.nano-editor.org"
+groups=('base')
+depends=('ncurses' 'sh')
+backup=('etc/nanorc')
+install=nano.install
+source=(http://www.nano-editor.org/dist/v2.2/${pkgname}-${pkgver}.tar.gz)
+md5sums=('03233ae480689a008eb98feb1b599807')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr \
+    --sysconfdir=/etc \
+    --enable-color \
+    --enable-nanorc \
+    --enable-multibuffer \
+    --disable-wrapping-as-root
+  make
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+  install -DTm644 ${srcdir}/${pkgname}-${pkgver}/doc/nanorc.sample ${pkgdir}/etc/nanorc
+}

Copied: nano/repos/testing-x86_64/nano.install (from rev 141729, nano/trunk/nano.install)
===================================================================
--- testing-x86_64/nano.install	                        (rev 0)
+++ testing-x86_64/nano.install	2011-11-02 16:18:21 UTC (rev 141730)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(nano.info.gz)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list